using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Performance
{
    public static class Rule1810
    {
        private static string defaultRoot;

        // このコンストラクタは CA1810 に違反しています。
        static Rule1810()
        {
            defaultRoot = "C:\tmp";
        }

        public static string DefaultRoot
        {
            get
            {
                return defaultRoot;
            }
            set
            {
                defaultRoot = value;
            }
        }
    }
}
